/*
 *  OSXmoontool.h
 *  OSXmoontool
 *
 * Copyright (c) 2005 Thomas Siemion
 * dev@siemion.de
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */

// Structure to hold the data of the Mooncalendar(Window)
typedef struct
	{
	int			moonPhase;
	
	time_t		timeStamp;
	
	int			min;
	int			hou;
	
	int			day;
	int			mon;
	int			yea;
	
	int			dist;
	
	int			maxi;
	int			mini;
	} t_moon_calendar_data;



// Structure to hold the Configuration-Data
typedef struct
	{
	float		calendarWindowFontSize;
	char		calendarWindowFontName[255];
	int			calendarWindowShowCurve;
	int			mainWindowDateFormat;
	// Positionen der einzelnen Fenster
	} moontool_config;



extern moontool_config	MoontoolConfig;

extern char				pUrl[500];
extern char				localisation[100];

extern WindowRef 		MainWindowRef;
extern WindowRef		DistanceWindowRef;
extern WindowRef		CalendarWindowRef;
extern WindowRef		AboutWindowRef;
extern WindowRef		PrefWindowRef;

extern t_moon_calendar_data	*MoonCalendarData;
extern int					MoonCalendarDataCount;
extern int					MoonCalendarDataMinDist;
extern int					MoonCalendarDataMaxDist;

